
Name: trunk_recorder
Version: 4.1.0
Release: 1%{?dist}
Summary: Records calls from a Trunked Radio System (P25 & SmartNet)
License: GPL-3
URL: https://github.com/robotastic/trunk-recorder
Source0: https://github.com/robotastic/trunk-recorder/archive/refs/tags/v%{version}.tar.gz
Patch0: patch0.patch


BuildRequires: cmake
BuildRequires: chrpath
BuildRequires: gcc-c++
BuildRequires: openssl-devel
BuildRequires: python3-gnuradio
BuildRequires: gnuradio-devel
BuildRequires: gr-osmosdr
BuildRequires: sox
BuildRequires: gr-osmosdr-devel
BuildRequires: libusb-devel
BuildRequires: libcurl-devel
BuildRequires: fdk-aac-free-devel
BuildRequires: cppunit-devel
BuildRequires: log4cpp-devel
BuildRequires: mpir-devel mpir-c++
BuildRequires: gmp-devel gmp-c++
BuildRequires: libsndfile-devel
BuildRequires: fftw-devel
BuildRequires: uhd-firmware
BuildRequires: uhd-devel
BuildRequires: libunwind-devel


%description
Trunk Recorder is able to record the calls on trunked and conventional
radio systems. It uses 1 or more Software Defined Radios (SDRs) to do this.
The SDRs capture large swathes of RF and then use software to process what
was received. GNURadio is used to do this processing because it provides lots of
convenient RF blocks that can be pieced together to allow for complex RF
processing. The libraries from the amazing OP25 project are used for a lot of
the P25 functionality. Multiple radio systems can be recorded at the same time.


%prep
%autosetup -p1 -n trunk-recorder-%{version}


%build
%cmake
%cmake_build


%install
%cmake_install
chrpath --delete $RPM_BUILD_ROOT%{_usr}/lib/trunk-recorder/libgnuradio-op25_repeater.so


%check
%ctest


%files
%{_usr}/lib/trunk-recorder
%{_bindir}/trunk-recorder


%changelog
* Mon  Nov 29 2021 Comrade Dulaney <no@email.com> - 4.1.0-1
- Update to 4.1.0

* Tue  Oct 12 2021 Comrade Dulaney <no@email.com> - 4.0.3-1
- Initial rpm release
